Bug 230670 - D620: LCD backlight doesn't come back when you open lid
D620: LCD backlight doesn't come back when you open lid
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dell WW Linux Engineering
Bill Nottingham
bzcl34nup
:
Depends On:
Blocks: D620_Tracker FC7Target
  Show dependency treegraph
 
Reported: 2007-03-01 19:58 EST by Warren Togami
Modified: 2014-03-16 23:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 16:41:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2007-03-01 19:58:17 EST
Closing the lid and opening it again fails to turn the backlight on.  This fails
equally with a kernel VT console and X.

Matt Domsch mentioned that there is a hack you can add to make it work using
programmed ACPI events.  While this solution could be used, it is an incomplete
solution.

- How does our default distro know when to use it?
- Will this work everywhere?  The following cases wont.
    During Anaconda
    During Bootup where it wont have access to the ACPI event scripts
    Kernel panic, showing dump on the screen

Perhaps the only complete solution is to fix the BIOS?

NOTE: Close this bug only if LCD backlight behaves as expected, out-of-the-box,
with default configurations of Fedora.
Comment 1 Kevin Fenzi 2007-03-07 19:10:04 EST
I have a similar (the same?) problem on a D820. 

The workaround was: 

enable in /etc/acpi/events/video.conf: 

event=video.*
action=/usr/sbin/vbetool dpms on

In rawhide this was suffficent to get it working here. 
In fc6 this still failed to bring the screen back. In addition there I had 
to add to my /etc/X11/xorg.conf:

Section "ServerFlags"
        Option "NoPM" "true"
EndSection

So, this surely seems like a ACPI bug in the BIOS on these laptops. 
I agree that the above workarounds are just that, workarounds until the BIOS is
fixed. 

Happy to test new bioses or provide more info. 
Comment 2 Jeremy Katz 2007-04-18 20:07:39 EDT
Is this better in X with the intel driver (which we default to now)?
Comment 3 Kevin Fenzi 2007-04-19 22:17:51 EDT
I just tried with the 20070411-i386-live usb image. 
No change. Closing the lid makes the screen blank, and then never come back. 

I tried to change the acpi video.conf, but acpid doesn't seem to be installed on
the livecd. ;( 
Comment 4 Tim Reilly 2007-05-03 16:12:35 EDT
Somewhere between the new d620 bios and installing f7t4 fresh, I can no longer
reproduce this problem. No config changes were made whatsoever.
Comment 5 Kevin Fenzi 2007-05-03 16:29:21 EDT
On my d820, now upgraded to rawhide, I still see this. 
I can work around it by uncommenting the lines in /etc/acpi/events/video.conf: 
event=video.*
action=/usr/sbin/vbetool dpms on

It then works fine. Might be a change between the d820 and d620 bioses. 

Comment 6 Richard Hughes 2007-06-15 11:06:31 EDT
Kevin, if you want to fix this for resume you might want to checkout
http://people.freedesktop.org/~hughsient/quirk/quirk-suspend-index.html and
maybe add a --quirk-dpms-on flag.
Comment 7 Kevin Fenzi 2007-06-15 11:28:28 EDT
In reply to comment #6: 

yeah, suspend/resume already works just fine. It already has the right quirks. ;) 
It's only closing the lid/reopening it (without suspending) that has this behavior.

Comment 8 Warren Togami 2007-08-20 10:44:55 EDT
Retest with latest rawhide with default settings?
Comment 9 Kevin Fenzi 2007-09-18 01:53:03 EDT
Sorry for the delay. Just tested with the f8test2 live usb image... 

It seems to work correctly now out of the box and do the right thing. 
This can be closed RAWHIDE as far as I'm concerned. 
Comment 10 Bug Zapper 2008-04-03 15:19:16 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 11 Kevin Fenzi 2008-04-03 16:41:06 EDT
Closing per comment #9.

Note You need to log in before you can comment on or make changes to this bug.